/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {RulePrincipalResponse} from "./rulePrincipalResponse";
import {RuleTriggerResponse} from "./ruleTriggerResponse";
import {RuleActionResponse} from "./ruleActionResponse";

export class RuleResponse {
    public principal: RulePrincipalResponse;

    public trigger: RuleTriggerResponse;

    public action: RuleActionResponse;

    /**
     * Creates a RuleResponse.
     *
     * @param {RulePrincipalResponse} principal
     * @param {RuleTriggerResponse} trigger
     * @param {RuleActionResponse} action
     */
    constructor(principal: RulePrincipalResponse, trigger: RuleTriggerResponse, action: RuleActionResponse) {
        this.principal = principal;
        this.trigger = trigger;
        this.action = action;
    }
}
